org.apache.commons.net.tftp

## Class TFTPErrorPacket

- java.lang.Object
- - org.apache.commons.net.tftp.TFTPPacket
  - - org.apache.commons.net.tftp.TFTPErrorPacket

-     public final class TFTPErrorPacket
      extends TFTPPacket

  A final class derived from TFTPPacket definiing the TFTP Error packet type.

  Details regarding the TFTP protocol and the format of TFTP packets can be found in RFC 783. But the point of these classes is to keep you from having to worry about the internals. Additionally, only very few people should have to care about any of the TFTPPacket classes or derived classes. Almost all users should only be concerned with the `TFTPClient` class `receiveFile()` and `sendFile()` methods.

  See Also:
    `TFTPPacket`, `TFTPPacketException`, `TFTP`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ACCESS_VIOLATION` The access violation error code according to RFC 783, value 2.
    `static int` | `FILE_EXISTS` The file already exists error code according to RFC 783, value 6.
    `static int` | `FILE_NOT_FOUND` The file not found error code according to RFC 783, value 1.
    `static int` | `ILLEGAL_OPERATION` The illegal TFTP operation error code according to RFC 783, value 4.
    `static int` | `NO_SUCH_USER` The no such user error code according to RFC 783, value 7.
    `static int` | `OUT_OF_SPACE` The disk full error code according to RFC 783, value 3.
    `static int` | `UNDEFINED` The undefined error code according to RFC 783, value 0.
    `static int` | `UNKNOWN_TID` The unknown transfer id error code according to RFC 783, value 5.

    - ### Fields inherited from class org.apache.commons.net.tftp.TFTPPacket

      `ACKNOWLEDGEMENT, DATA, ERROR, READ_REQUEST, SEGMENT_SIZE, WRITE_REQUEST`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TFTPErrorPacket(InetAddress destination, int port, int error, String message)` Creates an error packet to be sent to a host at a given port with an error code and error message.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getError()` Returns the error code of the packet.
    `String` | `getMessage()` Returns the error message of the packet.
    `DatagramPacket` | `newDatagram()` Creates a UDP datagram containing all the TFTP error packet data in the proper format.
    `String` | `toString()` For debugging

    - ### Methods inherited from class org.apache.commons.net.tftp.TFTPPacket

      `getAddress, getPort, getType, newTFTPPacket, setAddress, setPort`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### UNDEFINED

          public static final int UNDEFINED

      The undefined error code according to RFC 783, value 0.
      See Also:
        Constant Field Values

    - #### FILE_NOT_FOUND

          public static final int FILE_NOT_FOUND

      The file not found error code according to RFC 783, value 1.
      See Also:
        Constant Field Values

    - #### ACCESS_VIOLATION

          public static final int ACCESS_VIOLATION

      The access violation error code according to RFC 783, value 2.
      See Also:
        Constant Field Values

    - #### OUT_OF_SPACE

          public static final int OUT_OF_SPACE

      The disk full error code according to RFC 783, value 3.
      See Also:
        Constant Field Values

    - #### ILLEGAL_OPERATION

          public static final int ILLEGAL_OPERATION

      The illegal TFTP operation error code according to RFC 783, value 4.
      See Also:
        Constant Field Values

    - #### UNKNOWN_TID

          public static final int UNKNOWN_TID

      The unknown transfer id error code according to RFC 783, value 5.
      See Also:
        Constant Field Values

    - #### FILE_EXISTS

          public static final int FILE_EXISTS

      The file already exists error code according to RFC 783, value 6.
      See Also:
        Constant Field Values

    - #### NO_SUCH_USER

          public static final int NO_SUCH_USER

      The no such user error code according to RFC 783, value 7.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TFTPErrorPacket

          public TFTPErrorPacket(InetAddress destination,
                                 int port,
                                 int error,
                                 String message)

      Creates an error packet to be sent to a host at a given port with an error code and error message.
      Parameters:
        `destination` - The host to which the packet is going to be sent.
        `port` - The port to which the packet is going to be sent.
        `error` - The error code of the packet.
        `message` - The error message of the packet.

  - ### Method Detail

    - #### newDatagram

          public DatagramPacket newDatagram()

      Creates a UDP datagram containing all the TFTP error packet data in the proper format. This is a method exposed to the programmer in case he wants to implement his own TFTP client instead of using the `TFTPClient` class. Under normal circumstances, you should not have a need to call this method.
      Specified by:
        `newDatagram` in class `TFTPPacket`
      Returns:
        A UDP datagram containing the TFTP error packet.

    - #### getError

          public int getError()

      Returns the error code of the packet.
      Returns:
        The error code of the packet.

    - #### getMessage

          public String getMessage()

      Returns the error message of the packet.
      Returns:
        The error message of the packet.

    - #### toString

          public String toString()

      For debugging
      Overrides:
        `toString` in class `TFTPPacket`
      Since:
        3.6

Copyright © 2001–2020 The Apache Software Foundation. All rights reserved.